Subject: Re: [PATCH net-next v12 1/1] Documentation: net: add flow control guide and document ethtool API

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 11 Mar 2026 16:58:48 +0000

On Mon, Mar 09, 2026 at 07:09:52PM -0700, Jakub Kicinski wrote:
> On Wed,  4 Mar 2026 10:48:11 +0100 Oleksij Rempel wrote:
> > Introduce a new document, flow_control.rst, to provide a comprehensive
> > guide on Ethernet Flow Control in Linux. The guide explains how flow
> > control works, how autonegotiation resolves pause capabilities, and how
> > to configure it using ethtool and Netlink.
> > 
> > In parallel, document the pause and pause-stat attributes in the
> > ethtool.yaml netlink spec. This enables the ynl tool to generate
> > kernel-doc comments for the corresponding enums in the UAPI header,
> > making the C interface self-documenting.
> > 
> > Finally, replace the legacy flow control section in phy.rst with a
> > reference to the new document and add pointers in the relevant C source
> > files.
> 
> Russell, Andrew, does this doc look good to you?

Only just stumbled across your email - I haven't had a chance to look at
it yet, so can't comment.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!